Bug 319417 - crash when calling update via aqbanking two times
Summary: crash when calling update via aqbanking two times
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-06 16:44 UTC by MK
Modified: 2013-09-12 21:57 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description MK 2013-05-06 16:44:34 UTC
Application: kmymoney (4.6.90-42aee86ba4)
KDE Platform Version: 4.8.5 (4.8.5)
Qt Version: 4.8.1
Operating System: Linux 3.5.0-28-generic x86_64
Distribution: Ubuntu 12.04.2 LTS

-- Information about the crash:
- What I was doing when the application crashed:
Started online update via aqbanking by clicking on "update" icon. Entered PIN. Did something else in KDE. Clicked on "update" again, because update windows was in backgroud and I forgot about it... Crash occourred.

The crash can be reproduced every time.

-- Backtrace:
Application: KMyMoney (kmymoney), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[KCrash Handler]
#6  0x00007fd02d397ef1 in GWEN_List_First () from /usr/local/lib/libgwenhywfar.so.60
#7  0x00007fd02d0ea410 in AB_Job_List2_First (l=0x1f1c560) at job.c:53
#8  0x00007fd02d0d340f in AB_Banking__ExecuteQueue (ab=0x1615430, jl=0x1f1c560, ctx=0x450b050) at banking_online.c:61
#9  0x00007fd02d0d3bd6 in AB_Banking_ExecuteJobs (ab=0x1615430, jl2=0x1f1c560, ctx=0x450b050) at banking_online.c:187
#10 0x00007fd02d8b56e9 in AB_Banking::executeJobs (this=0x1c7c2f0, jl=0x1f1c560, ctx=0x450b050) at /usr/local/src/git_repo/kmymoney/kmymoney/plugins/kbanking/banking.cpp:218
#11 0x00007fd02d8abf33 in KMyMoneyBanking::executeQueue (this=0x1c7c2f0, ctx=0x450b050) at /usr/local/src/git_repo/kmymoney/kmymoney/plugins/kbanking/mymoneybanking.cpp:675
#12 0x00007fd02d8ab6ff in KBankingPlugin::updateAccount (this=0x1615690, acc=..., moreAccounts=false) at /usr/local/src/git_repo/kmymoney/kmymoney/plugins/kbanking/mymoneybanking.cpp:574
#13 0x00000000004a018c in KMyMoneyApp::slotAccountUpdateOnline (this=0x12dc590) at /usr/local/src/git_repo/kmymoney/kmymoney/kmymoney.cpp:7278
#14 0x00000000004a1b64 in KMyMoneyApp::qt_static_metacall (_o=0x12dc590, _c=QMetaObject::InvokeMetaMethod, _id=108, _a=0x7fff9affbe30) at /usr/local/src/git_repo/kmymoney/debug/kmymoney/kmymoney.moc:499
#15 0x00007fd042248281 in QMetaObject::activate (sender=0x140eb80, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff9affbe30) at kernel/qobject.cpp:3547
#16 0x00007fd0413322a1 in QAction::activated (this=<optimized out>, _t1=-50) at .moc/release-shared/moc_qaction.cpp:297
#17 0x00007fd041332335 in QAction::activate (this=0x140eb80, event=<optimized out>) at kernel/qaction.cpp:1260
#18 0x00007fd041707d4a in QAbstractButtonPrivate::click (this=0x1583450) at widgets/qabstractbutton.cpp:530
#19 0x00007fd041707ffc in QAbstractButton::mouseReleaseEvent (this=0x1583020, e=0x7fff9affc710) at widgets/qabstractbutton.cpp:1123
#20 0x00007fd0417c55da in QToolButton::mouseReleaseEvent (this=<optimized out>, e=<optimized out>) at widgets/qtoolbutton.cpp:718
#21 0x00007fd041389144 in QWidget::event (this=0x1583020, event=0x7fff9affc710) at kernel/qwidget.cpp:8362
#22 0x00007fd041338894 in notify_helper (e=0x7fff9affc710, receiver=0x1583020, this=0x1170e40) at kernel/qapplication.cpp:4559
#23 QApplicationPrivate::notify_helper (this=0x1170e40, receiver=0x1583020, e=0x7fff9affc710) at kernel/qapplication.cpp:4531
#24 0x00007fd04133e0bf in QApplication::notify (this=<optimized out>, receiver=0x1583020, e=0x7fff9affc710) at kernel/qapplication.cpp:4102
#25 0x00007fd04483f3f6 in KApplication::notify (this=0x1164d40, receiver=0x1583020, event=0x7fff9affc710) at ../../kdeui/kernel/kapplication.cpp:311
#26 0x00007fd042233e9c in QCoreApplication::notifyInternal (this=0x1164d40, receiver=0x1583020, event=0x7fff9affc710) at kernel/qcoreapplication.cpp:876
#27 0x00007fd041339862 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#28 QApplicationPrivate::sendMouseEvent (receiver=0x1583020, event=0x7fff9affc710, alienWidget=0x1583020, nativeWidget=0x1386b20, buttonDown=0x1583020, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3170
#29 0x00007fd0413b8bf5 in QETWidget::translateMouseEvent (this=0x1386b20, event=<optimized out>) at kernel/qapplication_x11.cpp:4617
#30 0x00007fd0413b7bae in QApplication::x11ProcessEvent (this=0x1164d40, event=0x7fff9affcfe0) at kernel/qapplication_x11.cpp:3732
#31 0x00007fd0413e10d2 in x11EventSourceDispatch (s=0x1174470, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#32 0x00007fd03bf61d53 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#33 0x00007fd03bf620a0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#34 0x00007fd03bf62164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#35 0x00007fd0422633bf in QEventDispatcherGlib::processEvents (this=0x113cad0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#36 0x00007fd0413e0d5e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#37 0x00007fd042232c82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#38 0x00007fd042232ed7 in QEventLoop::exec (this=0x7fff9affd380, flags=...) at kernel/qeventloop.cpp:204
#39 0x00007fd042237f67 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1148
#40 0x000000000045db61 in runKMyMoney (a=0x1164d40, splash=0x1297760) at /usr/local/src/git_repo/kmymoney/kmymoney/main.cpp:282
#41 0x000000000045c543 in main (argc=1, argv=0x7fff9affe018) at /usr/local/src/git_repo/kmymoney/kmymoney/main.cpp:181

Reported using DrKonqi
Comment 1 Cristian Oneț 2013-09-12 21:56:33 UTC
Git commit ea3250bdde4c0ce4fff7aa5a61cdafc3e7d0ebe2 by Cristian Oneț.
Committed on 12/09/2013 at 21:52.
Pushed by conet into branch 'master'.

Make sure that two simultaneous online update actions can't be
launched by disabling the update action while one update is in
progress.
Depending on the online connection plugin two simultaneous updates
could cause a crash.

M  +14   -0    kmymoney/kmymoney.cpp

http://commits.kde.org/kmymoney/ea3250bdde4c0ce4fff7aa5a61cdafc3e7d0ebe2
Comment 2 Cristian Oneț 2013-09-12 21:57:52 UTC
Git commit a264b149d6a90aaa28a540f46f7de098f8f9d114 by Cristian Oneț.
Committed on 12/09/2013 at 21:52.
Pushed by conet into branch '4.6'.

Make sure that two simultaneous online update actions can't be
launched by disabling the update action while one update is in
progress.
Depending on the online connection plugin two simultaneous updates
could cause a crash.
(cherry picked from commit ea3250bdde4c0ce4fff7aa5a61cdafc3e7d0ebe2)

M  +14   -0    kmymoney/kmymoney.cpp

http://commits.kde.org/kmymoney/a264b149d6a90aaa28a540f46f7de098f8f9d114